Skip to content

Instantly share code, notes, and snippets.

View 0001-Always-use-latest-sources.patch
From 2224ad8db4b1c73b47514de0a887ede5e42dbba6 Mon Sep 17 00:00:00 2001
From: Raphael Costa <raphael_costa94@outlook.com>
Date: Tue, 6 Feb 2018 09:57:40 -0200
Subject: [PATCH] Always use latest sources
edited by Narrat
---
01_openssl102.patch | 4 ++--
02_freetype.patch | 4 ++--
PKGBUILD | 16 +++++++++++-----
@Narrat
Narrat / 01_32bit_build.patch
Created Apr 10, 2017
language agnostic tor-browser PKGBUILD
View 01_32bit_build.patch
commit fae8d71d4e3584a4f0b143761a41ef977534ac3f
Author: Narrat <autumn-wind@web.de>
Date: Tue Apr 11 00:38:32 2017 +0200
Enable build of 32bit version
For source verification download the .asc file and specify the signing key.
Additionally: Not needed to include the .install file in the source array. There is already the install= var
@Narrat
Narrat / compare
Created Jan 17, 2017
dunst part deu
View compare
pacman -Ql paper-icon-theme-git | grep notification-audio
paper-icon-theme-git /usr/share/icons/Paper/48x48/notifications/notification-audio-volume-high.svg
paper-icon-theme-git /usr/share/icons/Paper/48x48/notifications/notification-audio-volume-low.svg
paper-icon-theme-git /usr/share/icons/Paper/48x48/notifications/notification-audio-volume-medium.svg
paper-icon-theme-git /usr/share/icons/Paper/48x48/notifications/notification-audio-volume-muted.svg
paper-icon-theme-git /usr/share/icons/Paper/48x48/notifications/notification-audio-volume-off.svg
Config file entry:
icon_folders = /usr/share/icons/Paper/16x16/mimetypes/:/usr/share/icons/Paper/16x16/status/:/usr/share/icons/Paper/16x16/devices/:/usr/share/icons/Paper/48x48/notifications/:/usr/share/icons/hicolor/16x16/apps/:/usr/share/gajim/icons/hicolor/16x16/actions/
@Narrat
Narrat / dunst - log
Created Jan 17, 2017
missing svg icons
View dunst - log
$ dunst -conf .config/dunst/dunstrc -print
{
appname: 'ponymix'
summary: 'ponymix'
body: ''
icon: 'notification-audio-volume-muted'
category:
urgency: 1
formatted: '<b>ponymix</b>
@Narrat
Narrat / brackets-bin.diff
Created Mar 26, 2016
Architecture specific things
View brackets-bin.diff
diff --git a/PKGBUILD b/PKGBUILD
index a0decf8..245149c 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -20,15 +20,11 @@ optdepends=("google-chrome: to enable Live Preview"
provides=("brackets=$pkgver")
conflicts=('brackets' 'brackets-git')
install=$pkgname.install
+source_i686=("https://github.com/adobe/$_pkgname/releases/download/release-$pkgver/Brackets.Release.$pkgver.32-bit.deb")
+source_x86_64=("https://github.com/adobe/$_pkgname/releases/download/release-$pkgver/Brackets.Release.$pkgver.64-bit.deb")
@Narrat
Narrat / baudline-bin.diff
Created Mar 26, 2016
Architecture dependant stuff
View baudline-bin.diff
diff --git a/PKGBUILD b/PKGBUILD
index cea45f6..ecffb39 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -27,18 +27,15 @@ makedepends=('imagemagick')
optdepends=('gzip' 'bzip2' 'flac' 'sox' 'mpg123' 'vorbis-tools')
provides=('baudline')
install=baudline-bin.install
-source=("http://www.baudline.com/${pkgname/-bin/}_${pkgver}_linux_${CARCH}.tar.gz"
- "${pkgname/-bin/}.desktop"
@Narrat
Narrat / ob-mpd.sh
Last active Mar 26, 2016
MPD Pipe Menu making use of mpc and systemctl --user
View ob-mpd.sh
#! /bin/zsh
# MPD/MPC by olshrimpeyes
# Adjusted by me
servstatus="$(systemctl --user list-units | grep --color=no mpd.service)"
if [[ ! -z "$servstatus" ]]; then
nowplaying=$(mpc | grep - | sed -e 's/\&/&amp;/g')
playing=$(mpc | grep playing)
fi
@Narrat
Narrat / PKGBUILD
Created Mar 8, 2015
tapecalc PKGBUILD
View PKGBUILD
# Maintainer:
# Contributor: Lex Black <autumn-wind at web dot de>
pkgname=tapecalc
_pkgname=add
pkgver=20140105
pkgrel=1
pkgdesc="checkbook or expense-account balancing tool (known as add or tapecalc)"
arch=('i686' 'x86_64')
url="http://invisible-island.net/add/add.html"
View ERROR_calc
FAIL: Variable (calc)
Doctest: calc.Variable
----------------------------------------------------------------------
Traceback (most recent call last):
File "/usr/lib/python3.4/doctest.py", line 2193, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for calc.Variable
File "eispice3/module/calc.py", line 64, in Variable
----------------------------------------------------------------------
@Narrat
Narrat / mongoengine PKGBuild
Created Oct 20, 2014
SplitPKGBuild for mongoengine
View mongoengine PKGBuild
pkgbase=mongoengine
pkgname=('python-mongoengine' 'python2-mongoengine')
pkgver=0.8.7
pkgrel=1
pkgdesc="Document-Object Mapper for working with MongoDB from Python"
arch=('any')
url="http://mongoengine.org/"
license=('MIT')
makedepends=('python-setuptools' 'python2-setuptools' 'python-pymongo' 'python2-pymongo')
options=(!emptydirs)